SolidWorks專門論壇 SolidWorks forum

 找回密碼
 註冊
查看: 978|回復: 18

【討論】工程圖尺寸自動球標

[複製鏈接]
發表於 2020/7/18 01:15:50 | 顯示全部樓層 |閱讀模式
QC Dept. 要求工程圖所有尺寸都要上球標方便做 IQC 的規範…
公司沒有買 SW INSPECTION 的預算…不知道大家如果有這個問題是怎麼操作的?
自己試著做個巨集,好像還不錯用…




補充內容 (2022/3/31 15:57):
代碼在#12

本帖子中包含更多資源

您需要 登錄 才可以下載或查看,沒有賬號?註冊

x

點評

我是慢慢拉,雖然公司有模組但是自動產生的順序不是很理想  發表於 2020/7/20 09:41
發表於 2020/7/21 09:18:18 | 顯示全部樓層
有的還是需要人工分門別類的順序

點評

球標就是一個辨識,旨在能快速完成工作 為什麼要"分門" & "別類"?是因為美觀?還是有其他目的? 能不能請您舉例說明一下呢?  詳情 回復 發表於 2020/7/26 10:31
 樓主| 發表於 2020/7/26 10:31:54 | 顯示全部樓層
Gallon 發表於 2020/7/21 09:18
有的還是需要人工分門別類的順序

球標就是一個辨識,旨在能快速完成工作
為什麼要"分門" & "別類"?是因為美觀?還是有其他目的?
能不能請您舉例說明一下呢?

點評

也是因為配合量測順序,像是總長量完就量總寬,方便對表填寫  詳情 回復 發表於 2020/7/27 08:54
曾經被品管要求過,說順序不要亂跳,球標要排列的有規則或是分類比如說:X向的尺寸先按順序排完,再排Y向的尺寸,再排Z向尺寸按順序,再接孔徑按順序 這邊的按順序通常是順時針或逆時針,或是左上到右下之類的,方便  詳情 回復 發表於 2020/7/27 08:12
發表於 2020/7/27 08:12:03 | 顯示全部樓層
gt.adan 發表於 2020/7/26 10:31
球標就是一個辨識,旨在能快速完成工作
為什麼要"分門" & "別類"?是因為美觀?還是有其他目的?
能不能 ...

曾經被品管要求過,說順序不要亂跳,球標要排列的有規則或是分類比如說:X向的尺寸先按順序排完,再排Y向的尺寸,再排Z向尺寸按順序,再接孔徑按順序
這邊的按順序通常是順時針或逆時針,或是左上到右下之類的,方便品管量測員的順序
也有發生過大致上都按順序標好,品管主管就是認為需要調換某些號碼
可能是跟客戶討論的,客戶的機台量測可能要標這樣的順序比較方便之類的理由
"旨在能快速完成工作",會被念說只考慮到自己,沒考慮到別人,命苦阿
發表於 2020/7/27 08:54:20 | 顯示全部樓層
gt.adan 發表於 2020/7/26 10:31
球標就是一個辨識,旨在能快速完成工作
為什麼要"分門" & "別類"?是因為美觀?還是有其他目的?
能不能 ...

也是因為配合量測順序,像是總長量完就量總寬,方便對表填寫
 樓主| 發表於 2020/8/5 00:32:04 | 顯示全部樓層
謝謝兩位的回覆。
目前的巨集代碼是按視圖順序標示的,意即視圖1所有尺寸加上球標後再換下一個視圖…一秒鐘內就可以完成所有尺寸球標。
尺寸球標使用與否、使用方式,看來還是依產業別不同而有不同的「規則」呀!
有人說公司要求按三軸向量測順序標示,有人說主管要求按使用量具的順序標示,個人認為都是因應不同行業不同需求而制定的合理規範。
以我司為例,尺寸球標就是用來和甲方RD討論圖紙尺寸時利於快速查找的工具,同時也是IQC需註明在檢驗表上的資訊,
如此而已,並沒有上述或其他的要求。再者,我司產品並非所有尺寸都是Critical Dimention,所以更不存在球標順序的問題。
以上回覆,再次謝謝兩位的參與討論。
發表於 2020/8/5 08:23:15 | 顯示全部樓層
請教 巨集的學習 有哪些書籍可以參考,
謝謝!!
發表於 2020/8/5 10:43:06 | 顯示全部樓層
复杂的图形不就行了,简单的图形就没有问题。
發表於 2022/3/30 15:57:24 | 顯示全部樓層
丹大,您好,我現在遇到標零件球的問題,想跟您請教該如何做到在尺寸上自動標註

點評

Kilo你好~ 我現在用在工作上的代碼都是從悶大以前的教程截長補需慢慢試來的~我寫的代碼沒有原廠的inspection模組那麼漂亮或是更多的功能哦~你只問如何自動標註…那我也只能告訴你不花錢買原廠套件的情況下,用巨集去  詳情 回復 發表於 2022/3/30 22:44
 樓主| 發表於 2022/3/30 22:44:59 | 顯示全部樓層
kilo893085 發表於 2022/3/30 15:57
丹大,您好,我現在遇到標零件球的問題,想跟您請教該如何做到在尺寸上自動標註 ...

Kilo你好~
我現在用在工作上的代碼都是從悶大以前的教程截長補需慢慢試來的~
我寫的代碼沒有原廠的inspection模組那麼漂亮或是更多的功能哦~

你只問如何自動標註…那我也只能告訴你不花錢買原廠套件的情況下,用巨集去解決~就像我在帖子上的展示那樣~

希望你問的具體一些~是直接要代碼?還是要討論呢?


發表於 2022/3/31 08:55:00 | 顯示全部樓層
丹大 謝謝您的回應。巨集部份小弟我尚在學習中 實屬不知要如何編寫>< 不知丹大可否分享自己的創作供小弟學習

點評

先確認自己的符號庫有這個項目~ [attachimg]252142[/attachimg] 然後,代碼如下~  詳情 回復 發表於 2022/3/31 15:06
 樓主| 發表於 2022/3/31 15:06:37 | 顯示全部樓層
kilo893085 發表於 2022/3/31 08:55
丹大 謝謝您的回應。巨集部份小弟我尚在學習中 實屬不知要如何編寫>< 不知丹大可否分享自己的創作供小弟學 ...

先確認自己的符號庫有這個項目~


然後,代碼如下~
  1. Dim swApp As SldWorks.SldWorks
  2. Dim swModel As SldWorks.ModelDoc2
  3. Dim swDraw As SldWorks.DrawingDoc
  4. Dim swView As SldWorks.View
  5. Dim swDispDim As SldWorks.DisplayDimension
  6. Dim numshts As Long
  7. Dim i As Long
  8. Dim SheetName() As String
  9. Dim CurPrefix As String
  10.   
  11. Sub main()
  12.   Set swApp = CreateObject("sldworks.Application")
  13.   Set swModel = swApp.ActiveDoc
  14.   Set swDraw = swModel
  15.   
  16.   numshts = swDraw.GetSheetCount
  17.   Count = 1
  18.   For i = 1 To numshts
  19.     swDraw.SheetPrevious
  20.   Next i
  21.   For i = 1 To numshts
  22.     Set swView = swDraw.GetFirstView
  23.     While Not swView Is Nothing
  24.    
  25.         Set swDispDim = swView.GetFirstDisplayDimension
  26.         While Not swDispDim Is Nothing
  27.             CurPrefix = swDispDim.GetText(swDimensionTextParts_e.swDimensionTextPrefix)
  28.             swDispDim.SetText swDimensionTextParts_e.swDimensionTextPrefix, "<C#-" & Count & ">" & CurPrefix
  29.             Set swDispDim = swDispDim.GetNext3
  30.             Count = Count + 1
  31.         Wend
  32.         
  33.         Set swView = swView.GetNextView
  34.     Wend
  35.     swDraw.SheetNext
  36.   Next i
  37.   SheetName = swDraw.GetSheetNames
  38.   swDraw.ActivateSheet SheetName(0)
  39. End Sub
複製代碼


本帖子中包含更多資源

您需要 登錄 才可以下載或查看,沒有賬號?註冊

x

點評

丹哥威武~  詳情 回復 發表於 2022/4/8 16:34
謝謝丹大...小弟我研究研究 萬分感謝~  詳情 回復 發表於 2022/3/31 18:01
發表於 2022/3/31 18:01:44 | 顯示全部樓層
gt.adan 發表於 2022/3/31 15:06
先確認自己的符號庫有這個項目~

謝謝丹大...小弟我研究研究 萬分感謝~
發表於 2022/4/8 16:34:20 | 顯示全部樓層
gt.adan 發表於 2022/3/31 15:06
先確認自己的符號庫有這個項目~

丹哥威武~

點評

好久不見~  發表於 2022/4/11 07:47
發表於 2022/10/28 11:13:54 | 顯示全部樓層
丹大,您好,我現在遇到標零件球的問題,想跟您請教,該如何改巨集,球標才能在尺寸後自動標註
發表於 2022/10/28 13:22:22 | 顯示全部樓層
號碼球這樣亂跳對嗎
看了就讓人捉狂
這是沒幾個寸尺
要是有上百個上千個尺寸
也用這樣跳我看你去那找


點評

抱歉,讓你見笑了~ 只是發起一個討論,如有適合的處理方式或經驗分享,隨時歡迎指導~  詳情 回復 發表於 2022/11/1 12:00
 樓主| 發表於 2022/11/1 12:00:41 | 顯示全部樓層
bjqska 發表於 2022/10/28 13:22
號碼球這樣亂跳對嗎
看了就讓人捉狂
這是沒幾個寸尺

抱歉,讓你見笑了~
只是發起一個討論,如有適合的處理方式或經驗分享,隨時歡迎指導~
您需要登錄後才可以回帖 登錄 | 註冊

本版積分規則

論壇統計|手機版上論壇|論壇來自幾何科技

GMT+8, 2022/11/29 02:43 , Processed in 0.122233 second(s), 17 queries .

Powered by Discuz! X3.4 Licensed

Copyright © 2001-2021, Tencent Cloud.

快速回復 返回頂部 返回列表